<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
  <th:block th:insert="~{fragments/header-head :: head}"></th:block>
  <link href="../public/css/Treant.css" th:href="@{/css/Treant.css}" rel="stylesheet" type="text/css"/>
  <link href="../public/css/collapsable.css" th:href="@{/css/collapsable.css}" rel="stylesheet" type="text/css"/>
  <link href="../public/css/perfect-scrollbar.css" th:href="@{/css/perfect-scrollbar.css}" rel="stylesheet" type="text/css"/>
</head>

<body>
  <div class="container-fluid">

    <nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
      <div class="container-fluid">
        <a class="navbar-brand" href="/" th:text="#{Home}"></a>
      </div>
    </nav>

    <div class="container-fluid">
      <div id="album" class="album">
        <div class="chart" id="collapsable-example"></div>
        <script type="text/javascript" src="../public/js/raphael.js" th:src="@{/js/raphael.js}"></script>
        <script type="text/javascript" src="../public/js/Treant.js" th:src="@{/js/Treant.js}"></script>
        <script type="text/javascript" src="../public/js/jquery.min.js" th:src="@{/js/jquery.min.js}"></script>
        <script type="text/javascript" src="../public/js/jquery.easing.js" th:src="@{/js/jquery.easing.js}"></script>
        <script th:inline="javascript">
          /*<![CDATA[*/
          var chart_config = {
            chart: {
              container: "#collapsable-example",

              animateOnInit: true,

              node: {
                collapsable: true
              },
              animation: {
                nodeAnimation: "easeOutBounce",
                nodeSpeed: 700,
                connectorsAnimation: "bounce",
                connectorsSpeed: 700
              },
              rootOrientation : "WEST"
            },
            nodeStructure: [[${nodeStructure}]]
          };
          tree = new Treant( chart_config );
          /*]]>*/
        </script>
      </div>
    </div>
  </div>

</body>
</html>
